| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # DOMXPathNamespace Class Reference The `DOMXPathNamespace` interface is returned by `DOMXPathResult` interfaces to represent the XPath namespace node type that DOM lacks. More... Inheritance diagram for DOMXPathNamespace: [legend] Collaboration diagram for DOMXPathNamespace: [legend] List of all members.
## Public Types
enum | XPathNodeType { XPATH_NAMESPACE_NODE = 13 }
## Public Methods
Destructor
virtual | ~DOMXPathNamespace ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual DOMElement * | getOwnerElement () const=0
| The `DOMElement` on which the namespace was in scope when it was requested. More...
## Protected Methods
Hidden constructors
| DOMXPathNamespace ()
## Detailed Description The `DOMXPathNamespace` interface is returned by `DOMXPathResult` interfaces to represent the XPath namespace node type that DOM lacks. There is no public constructor for this node type. Attempts to place it into a hierarchy or a NamedNodeMap result in a DOMException with the code HIERARCHY_REQUEST_ERR. This node is read only, so methods or setting of attributes that would mutate the node result in a `DOMException` with the code NO_MODIFICATION_ALLOWED_ERR. The core specification describes attributes of the `DOMNode` interface that are different for different node types but does not describe XPATH_NAMESPACE_NODE, so here is a description of those attributes for this node type. All attributes of `DOMNode` not described in this section have a null or false value. ownerDocument matches the ownerDocument of the ownerElement even if the element is later adopted. nodeName is always the string "namespace". prefix is the prefix of the namespace represented by the node. localName is the same as prefix. nodeType is equal to XPATH_NAMESPACE_NODE. namespaceURI is the namespace URI of the namespace represented by the node. nodeValue is the same as namespaceURI. adoptNode, cloneNode, and importNode fail on this node type by raising a DOMException with the code NOT_SUPPORTED_ERR. Note: In future versions of the XPath specification, the definition of a namespace node may be changed incomatibly, in which case incompatible changes to field values may be required to implement versions beyond XPath 1.0. Since: DOM Level 3 ## Member Enumeration Documentation
enum DOMXPathNamespace::XPathNodeType
  | Enumeration values:
  XPATH_NAMESPACE_NODE |
## Constructor & Destructor Documentation
DOMXPathNamespace::DOMXPathNamespace | ( |  | ) | `[protected]`
virtual DOMXPathNamespace::~DOMXPathNamespace | ( |  | ) | `[virtual]`
| Destructor.
## Member Function Documentation
virtual DOMElement* DOMXPathNamespace::getOwnerElement | ( |  | ) | const`[pure virtual]`
| The `DOMElement` on which the namespace was in scope when it was requested. This does not change on a returned namespace node even if the document changes such that the namespace goes out of scope on that element and this node is no longer found there by XPath. Since: DOM Level 3
The documentation for this class was generated from the following file: DOMXPathNamespace.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.